Skip to main content
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
attachments
/
{attachment_id}
Update Attachment
curl --request PATCH \
  --url https://api.member.dev/api/v1/teams/{team_id}/attachments/{attachment_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "position": 1
    },
    "id": "<string>",
    "type": "attachments"
  }
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
attachment_id
string
required

Body

application/vnd.api+json

Request body for PATCH /api/teams/{team_id}/attachments/{id}.

data
AttachmentUpdateData · object
required

Response

Successful Response